#
# Spezial-Grlz - Sets (erste Gruppe)
#
#Abrianna G! Pauline aa czek felicity karen morg pattycake sennat Chloe Maria SM dt katie ndn sym tt
cd $SONSTGRLZQ
for sgrl in G! Pauline aa felicity meghan hazel
	do
	cd $SONSTGRLZQ/$sgrl/1
	ls
	ls | grep -v Thumbs.db | while read sette
		do

		if [ -d "$SONSTGRLZZ/$sgrl/1/$sette" ]; then
			echo "$SONSTGRLZZ/$sgrl/1/$sette existiert!"
		else
			mkdir -p "$SONSTGRLZZ/$sgrl/1/$sette"
			echo "$SONSTGRLZZ/$sgrl/1/$sette wurde angelegt!"
		fi

		cd $sette
        	export zahl=0

		echo "doing $sgrl -- $sette, Doks: `ls | grep -v Thumbs.db | wc -l`"

		ls | grep -v Thumbs.db |
		while read jpg
			do
			zahl=`expr $zahl + 1`
			if [ -e "$SONSTGRLZZ/$sgrl/1/$sette/$jpg" ];
				then
				# DATEI SCHON VORHANDEN
				sum1=`cksum "$SONSTGRLZQ/$sgrl/1/$sette/$jpg"|awk -F' ' '{print $1}'`
				sum2=`cksum "$SONSTGRLZZ/$sgrl/1/$sette/$jpg"|awk -F' ' '{print $1}'`
				if [ "$sum1" = "$sum2" ];
					then
					# Datei identisch
					echo "$SONSTGRLZQ/$sgrl/1/$sette/$jpg $SONSTGRLZZ/$sgrl/1/$sette/$jpg " >> $SONSTGRLZQ/$sgrl/doppelt.txt
					export jpgg="$jpg"
					export dummyz=$zahl"+"
				else
					export dummyz=$zahl"-"
					export jpgg=`echo $jpg | sed -e 's/\./_\./g'`
					while [ -e "$SONSTGRLZZ/$sgrl/1/$sette/$jpgg" ];
						do
						export jpgg=`echo $jpgg | sed -e 's/\./_\./g'`
						done
					echo "$SONSTGRLZQ/$sgrl/1/$sette/$jpg $SONSTGRLZZ/$sgrl/1/$sette/$jpg " >> $SONSTGRLZQ/$sgrl/Name_geaendert.txt
				fi

			else
				# DATEI FRISCH UND NEU
				export dummyz=$zahl
				export jpgg="$jpg"
			fi;

			echo -n "$dummyz "
			mv "$SONSTGRLZQ/$sgrl/1/$sette/$jpg" "$SONSTGRLZZ/$sgrl/1/$sette/$jpgg" 2>/dev/null
				
			done
		cd ..
		rm -r "$sette"
		echo ""
		done
	done
